#pragma once

#include <string>

class HttpResponse
{

public:

    HttpResponse();

    ~HttpResponse();

    void SetBody(const std::string& body);

    unsigned GetBodyLength() const;

    std::string GetHeaderString() const;

    std::string ToString() const;

private:
    std::string mHttpVersion;
    std::string mResponseCode;
    std::string mContentType;
    std::string mBody;
};
